# The "ChoiceMenu" Widget

This widget provides a choice menu.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

ChoiceMenu_ResourceNames | List of resource names for ChoiceMenu widget
ChoiceMenu_Resources | List of resources for ChoiceMenu widget

#### Functions

XkwChoiceMenuSetEntrySensitivity | Set the sensitivity on a menu entry.

## Tables

ChoiceMenu_ResourceNames List of resource names for ChoiceMenu widget

Name | Purpose
XkwNmenuTitle | The title to appear above the menu
XkwNitemStrings | The array of menu item strings (the choices)
XkwNnumItems | The number of items (choices) in the menu
XkwNselectCallback | The callback when a choice is selected

ChoiceMenu_Resources List of resources for ChoiceMenu widget

Name | Class | Rep. Type | Default
XkwNmenuTitle | XkwCMenuTitle | XtRString | NULL
XkwNitemStrings | XkwCItemStrings | XtRPointer | NULL
XkwNnumItems | XkwCNumItems | XtRInt | 0
XkwNselectCallback | XtCCallback | XtRCallback | NULL

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwChoiceMenuSetEntrySensitivity (Widget W, unsigned int index, flag sensitive)

Set the sensitivity on a menu entry.

Parameters:

- W : The ChoiceMenu widget.
- index : The index number of the entry.
- sensitive : The sensitivity. If TRUE, the widget is sensitive.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page